Subject: https not working

From: kulkarni veena <[email-masked]>
Date: Wed, 18 Jun 2003 12:03:27 -0700 (PDT)

Hi,
 I have been stuck with the problem for a long time
now. I will appreciate any suugestions to rectify this
problem.

THe thing is my https server on SunOS 5.9 serves
Netscape ok. It is only MSIE thatis not able to access
secure pages. 

what I see on the ssl_error_log is that IE and Apache
server decide on the protocol and then server
shutsdown the connection. What could be the reason?
I'm totally lost.

Part of the ssl_error_log file:
-------------------------------
[Tue Jun 17 14:16:30 2003] [debug]
ssl_engine_kernel.c(1761): OpenSSL: Handshake: done
[Tue Jun 17 14:16:30 2003] [info] Connection: Client
IP: 130.86.72.20, Protocol: SSLv2, Cipher: RC4-MD5
(128/128 bits)
[Tue Jun 17 14:16:31 2003] [debug]
ssl_engine_io.c(1489): OpenSSL: I/O error, 2 bytes
expected to read on BIO#13c2d0 [mem: 17b978]
[Tue Jun 17 14:16:31 2003] [info] (70014)End of file
found: SSL input filter read failed.
[Tue Jun 17 14:16:31 2003] [info] Connection to child
3 closed with standard shutdown(server
hawk.ecs.csus.edu:443, client 130.86.72.20)
~

-----
Config:

OS: SunOs 5.9
Apache: 2.0.45
openssl: 0.9.7a
shared library: MM

-----
Thanks in advance. 

--veena

__________________________________
Do you Yahoo!?
SBC Yahoo! DSL - Now only $29.95 per month!
http://sbc.yahoo.com
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]